<template>
  <div :class="ishavetop?'pdfPageOne':'pdfPageTwo'">
    <!-- pdf容器 -->
    <div id="Demo"></div>
  </div>
</template>

<script>
import Pdfh5 from "pdfh5";
import "pdfh5/css/pdfh5.css";
export default {
  // 名字
  name: "PdfPage",
  // 部件
  components: {
  },
  // 静态
  props: {
      ishavetop:Boolean,

    pdfSrc: {
      type: String,
      default: ""
    }
  },
  // 数据
  data() {
    return {
      isLoading:false,
      pdfh5: null,
      currentPage:0,//当前页数
      pageCount:0,//总页数
    };
  },
  // 属性的结果会被缓存，除非依赖的响应式属性变化才会重新计算。主要当作属性来使用；
  computed: {},
  // 对象内部的属性监听，也叫深度监听
  watch: {},
  // 请求数据
  created() {},
  mounted() {
    if(this.pdfSrc == "" || this.pdfSrc == null){
      return
    }
    console.log(this.pdfSrc,45)
		//实例化
	  this.pdfh5 = new Pdfh5("#Demo", {
      pdfurl: this.pdfSrc,
      lazy:true 
	  });

  },
  // 方法表示一个具体的操作，主要书写业务逻辑；
  methods: {
  }
};
</script>

<style>
/* 加载框 */
.mask {
  width: 100vw;
  height: 100%;
  position: relative;
}
  .mask .van-loading {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
.pdfPageOne {
  height: calc(100% - 238px);
  overflow:auto;
}
.pdfPageTwo {
  height: calc(100% - 0px);
  overflow:auto;
}

</style>

